// Rmchart DLL function calls formatted for use within FWH. You can copy and 
// paste these into your prg to use as needed. They all link to RMChart.dll via  
// the DLL32 calls in RMC4FWH.PRG .

RMC_AddBarSeries( nCtrlId, nRegion, @nFirstDataValue, nDataValuesCount, ;
                 nType, nStyle, nIsLucent, nColor, nIsHorizontal, ;
                 nWhichDataAxis, nValueLabelOn, nPointsPerColumn, ;
                 nHatchMode )           

RMC_AddCaption( nCtrlID, nRegion, sCaption, nTitelBackColor, nTitelTextColor, ;
                nTitelFontSize, nTitelIsBold )     

RMC_AddDataAxis( nCtrlID, nRegion, nAlignment, nMinValue, nMaxValue, ;
                 nTickCount, nFontsize, nTextColor, nLineColor, nLineStyle, ;
                 nNoDecimalPoint, sUnit, sText, sLabels, @nLabelAlignment )	

RMC_AddGrid( nCtrlID, nRegion, nBackColor, nAsGradient, nLeft, nTop, nWidth, ;
                 nHeight, nBiColor )     

RMC_AddGridlessSeries( nCtrlID, nRegion, @nFirstDataValue, nDataValuesCount, ;
                 @nFirstColorElement, nColorElementsCount, nStyle, ;         
                 nPieAlignment , nExplodemode, nIsLucent, nValueLabelOn, ;
                 nHatchMode, nStartAngle )     

RMC_AddHighLowSeries( nCtrlID, nRegion, @nFirstDataValue, nDataValuesCount, ;                  
                 @nFirstPPCValue, nPPCValuesCount, nStyle, nWhichDataAxis, ;
                 nColorLow, nColorHigh )     
                          
RMC_AddLabelAxis( nCtrlID, nRegion, sLabel, nCount, nTickCount, nAlignment, ;
                 nFontsize, nTextColor, nTextAlignment, nLineColor, ;
                 nLineStyle, sText )     

RMC_AddLegend( nCtrlID, nRegion, sLegendText, nLegendAlign, nLegendBackColor, ;
                 nLegendStyle, nLegendTextColor, nLegendFontSize, ;
                 nLegendIsBold )     

RMC_AddLineSeries( nCtrlID, nRegion, @nFirstDataValue, nDataValuesCount, ;
                 @nFirstPPCValue, nPPCValuesCount, nChartType, nStyle, ; 
                 nLineStyle, nIsLucent, nColor, nChartSymbol, nWhichDataAxis, ;
                 nValueLabelOn, nHatchMode )     

RMC_AddRegion( nCtrlID, nLeft, nTop , nWidth, nHeight, sFooter, nShowBorder )     

RMC_AddToolTips( nCtrlID, hWnd, nToolTipWidth )     

RMC_AddVolumeBarSeries( nCtrlID, nRegion, @nFirstDataValue, nDataValuesCount, ;
                 @nFirstPPCValue, nPPCValuesCount, nColor, nWhichDataAxis )     

RMC_AddXAxis( nCtrlID, nRegion, nAlignment, nMinValue, nMaxValue, nTickCount, ;
              nFontsize, nTextColor, nLineColor, nLineStyle, nNoDecimalPoint, ;
              sUnit, sText, sLabels, nLabelAlignment )     

RMC_AddYAxis( nCtrlID, nRegion, nAlignment, nMinValue, nMaxValue, nTickCount, ;
              nFontsize, nTextColor, nLineColor, nLineStyle, nNoDecimalPoint, ;
              sUnit, sText, sLabels, nLabelAlignment )     

RMC_AddXYSeries( nCtrlID, nRegion, @nFirstXDataValue , nDataXValuesCount, ;
                 @nFirstYDataValue, nDataYValuesCount, nColor, nStyle, ; 
                 nLineStyle, nSymbolStyle, nWhichXAxis, nWhichYAxis, ; 
                 nValueLabelOn )     

RMC_CalcAverage( nCtrlId, nRegion, nSeriesIndex, @nAverage, @nXStart, ;
                 @nYStart, @nXEnd, @nYEnd, sHighLowIndex )     


RMC_CalcTrend( nCtrlId, nRegion, nSeriesIndex, @nFirstValue, @nLastValue, ;
               @nXStart, @nYStart, @nXEnd, @nYEnd, sHighLowIndex )     
                   
RMC_COBox( nCtrlID, nCOIndex, nLeft, nTop, nWidth, nHeight, nStyle, nBGColor, ;
           nLineColor, nTransparency )     

RMC_COCircle( nCtrlID, nCOIndex, nXCenter, nYCenter, nWidth, nStyle, ;
              nBGColor, nLineColor, nTransparency )     

RMC_CODash( nCtrlId, nCOIndex, nXStart, nYStart, nXEnd, nYEnd, nStyle, ;
            nColor, nAsSpline, nLineWidth, nStartCap, nEndCap )     

RMC_CODelete( nCtrlId, nIndex  )     

RMC_COGetTextWH( nCtrlID, nIndex, @nWH )     

RMC_COImage( nCtrlID, nCOIndex, sImagePath, nLeft, nTop, nWidth, nHeight )     

RMC_COLine( nCtrlId, nCOIndex, @nXPoints , @nYPoints , nPointsCount, nStyle, ;
            nColor, nAsSpline, nLineWidth, nStartCap, nEndCap )     

RMC_COPolygon( nCtrlId, nCOIndex, @nXPoints, @nYPoints, nPointsCount, ;
               nBGColor, nLineColor, nAsSpline, nTransparency )     

RMC_COSymbol( nCtrlID, nCOIndex, nXCenter, nYCenter, nStyle, nColor )     

RMC_COText( nCtrlID, nCOIndex, sText, nLeft, nTop, nWidth, nHeight, nStyle, ;
            nBGColor, nLineColor, nTransparency, nLineAlignment, nTextColor, ;
            sTextProperties )     
                    
RMC_COVisible( nCtrlId, nIndex, Hide )     

RMC_CreateChart( nParentHndl, nCtrlId, nX, nY, nWidth, nHeight, nBackColor, ;
                 nCtrlStyle, nExportOnly, sBgImage, sFontName, nToolTipWidth, ;
                 nBitmapBKColor )      

RMC_CreateChartFromFile( nParentHndl, nCtrlId, nX, nY, nExportOnly, sRMCFile )     

RMC_CreateChartOnDC( nParentDC, nCtrlId, nX, nY, nWidth, nHeight, nBackColor, ;
                 nCtrlStyle, nExportOnly, sBgImage, sFontName, nBitmapBKColor )      

RMC_CreateChartFromFileOnDC( nParentDC, nCtrlId, nX, nY, nExportOnly, sRMCFile)     

RMC_DeleteChart( nCtrlID )     

RMC_Draw( nCtrlID )     

RMC_Draw2Clipboard( nCtrlID, nType )     
                 
RMC_Draw2File( nCtrlID, sFileName, nWidth, nHeight, nJPGQualityLevel )     

RMC_Draw2Printer( nCtrlID, nPrinterDC AS H, nLeft, nTop, nWidth, nHeight, ;
                  nType )     

RMC_GetChartsizeFromFile( sRMCFile, @nWidth, @nHeight )     

RMC_GetImageSizeFromFile( sImagePath, @nWidth, @nHeight )     


/*  // Waiting of solution to array-handling problem...

RMC_GetINFO( nCtrlID, @TINFO AS tRMC_INF, nRegion, nSeries, nIndex )     
                 
RMC_GetINFOXY( nCtrlID, @TINFO AS tRMC_INF, nX, nY  ) 

*/

RMC_GetCtrlLeft( nCtrlID )     
                 
RMC_GetCtrlTop( nCtrlID )     

RMC_GetCtrlWidth( nCtrlID )     

RMC_GetCtrlHeight( BYVAL nCtrlID )     

RMC_GetData( nCtrlID, nRegion, nSeriesIndex, nDataIndex, @nData , nYData )     

RMC_GetDataCount( nCtrlID, nRegion, nSeriesIndex, @nDataCount )     

RMC_GetDataLocation( nCtrlID, nRegion, nSeriesIndex, nData, @nXYPos )     

RMC_GetDataLocationXY( nCtrlID, nRegion, nSeriesIndex, nDataX, nDataY, ;
                       @nXPos, @nYPos )     

RMC_GetVersion()

RMC_GetGridLocation( nCtrlID, nRegion, @nLeft, @nTop, @nRight, @nBottom )     

RMC_Magnifier( nCtrlID, nEnable, nSize, nColor, nLineColor, nTransparency )     

RMC_Paint( nCtrlID  )     

RMC_ReadDataFromFile( @aData[], @sFileName, @sLines, @sFields, ;
                      @sFieldDelimiter, nReverse )     

RMC_ReadStringFromFile( @sValue[], @sFileName, @sLines, @sFields, ;
                        @sFieldDelimiter, nReverse )     

RMC_Reset( nCtrlID )     

RMC_SaveBMP( hBmp, @sFileName )     

RMC_SetCaptionText( nCtrlID, nRegion, sText )     
                 
RMC_SetCaptionBGColor( nCtrlID, nRegion, nColor )     

RMC_SetCaptionTextColor( nCtrlID, nRegion, nColor )     

RMC_SetCaptionFontSize( nCtrlID, nRegion, nFontSize )     

RMC_SetCaptionFontBold( nCtrlID, nRegion, nFontBold )     
                 
RMC_SetCtrlBGColor( nCtrlId, nColor )     

RMC_SetCtrlBGImage( nCtrlId, sBgImage )     

RMC_SetCtrlFont( nCtrlId, sFontName )     

RMC_SetCtrlPos( nCtrlID, nLeft, nTop, nRelative )     

RMC_SetCtrlSize( nCtrlID, nWidth, nHeight, nRelative, nRecalcMode )     

RMC_SetCtrlStyle( nCtrlId, nStyle )     

RMC_SetCustomToolTipText( nCtrlId, nRegion, nSeries, nDataIndex, sText )     
                  
RMC_SetDAXAlignment( nCtrlID, nRegion, nAlignment )     

RMC_SetDAXDecimalDigits( nCtrlID, nRegion, nDecimalDigits, nAxisIndex )     

RMC_SetDAXFontSize( nCtrlID, nRegion, nFontSize )     

RMC_SetDAXLineColor( nCtrlID, nRegion, nColor )     

RMC_SetDAXLineStyle( nCtrlID, nRegion, nStyle )     
                  
RMC_SetDAXMaxValue( nCtrlID, nRegion, nMaxValue, nAxisIndex )     
                  
RMC_SetDAXMinValue( nCtrlID, nRegion, nMinValue, nAxisIndex )     
                  
RMC_SetDAXText( nCtrlID, nRegion, sText, nAxisIndex )     
                  
RMC_SetDAXTextColor( nCtrlID, nRegion, nColor )     
                  
RMC_SetDAXTickcount( nCtrlID, nRegion, nTickCount )     
                  
RMC_SetDAXUnit( nCtrlID, nRegion, sUnit, nAxisIndex )     

RMC_SetGridBGColor( nCtrlID, nRegion, nColor )     

RMC_SetGridBiColor( nCtrlID, nRegion, nBiColor )     

RMC_SetGridGradient( nCtrlID, nRegion, nHasGradient )     

RMC_SetGridMargin( nCtrlID, nRegion, nLeft, nTop , nWidth, nHeight )     

RMC_SetHelpingGrid( nCtrlID, nSize, nGridColor )     

RMC_SetLAXAlignment( nCtrlID, nRegion, nAlignment )     

RMC_SetLAXCount( nCtrlID, nRegion, nLabelAxisCount )     

RMC_SetLAXFontSize( nCtrlID, nRegion, nFontSize )     

RMC_SetLAXLabelAlignment( nCtrlID, nRegion, nAlignment )     

RMC_SetLAXLabels( nCtrlID, nRegion, sLabels )     

RMC_SetLAXLabelsFile( nCtrlId, nRegion, sFileName, sLines, sFields, ;
                      sFieldDelimiter )     

RMC_SetLAXLabelsRange( nCtrlId, nRegion, nFirst, nLast )     

RMC_SetLAXLineColor( nCtrlID, nRegion, nColor )     

RMC_SetLAXLineStyle( nCtrlID, nRegion, nStyle )     

RMC_SetLAXText( nCtrlID, nRegion, sText )     
                  
RMC_SetLAXTextColor( nCtrlID, nRegion, nColor )     

RMC_SetLAXTickCount( nCtrlID, nRegion, nTickCount )     
                  
RMC_SetLegendAlignment( nCtrlID, nRegion, nAlignment )     

RMC_SetLegendBGColor( nCtrlID, nRegion, nColor )     

RMC_SetLegendFontBold( nCtrlID, nRegion, nFontBold )     

RMC_SetLegendFontSize( nCtrlID, nRegion, nFontSize )     

RMC_SetLegendHide( nCtrlID, nRegion, nHide )      
                  
RMC_SetLegendStyle( nCtrlID, nRegion, nStyle )     

RMC_SetLegendText( nCtrlID, nRegion, sLegendText )     

RMC_SetLegendTextColor( nCtrlID, nRegion, nColor )     

RMC_SetRegionFooter( nCtrlID, nRegion, sFooter )     

RMC_SetRegionMargin( nCtrlID, nRegion, nLeft, nTop , nWidth, nHeight )     
                  
RMC_SetRegionBorder( nCtrlID, nRegion, nShowBorder )     

RMC_SetRMCFile( nCtrlID, sRMCFile )     

RMC_SetSeriesColor( nCtrlID, nRegion, nSeries, nColor, nIndex )     

RMC_SetSeriesExplodeMode( nCtrlID, nRegion, nSeries, nExplodeMode )     

RMC_SetSeriesData( nCtrlId, nRegion, nSeries, @nData , nDataCount, nYData )     

RMC_SetSeriesDataFile( nCtrlId, nRegion, nSeries, sFileName, sLines, sFields, ;
                       sFieldDelimiter, nYData )     

RMC_SetSeriesDataRange( nCtrlId, nRegion, nSeries, nFirst, nLast )     

RMC_SetSeriesSingleData( nCtrlId, nRegion, nSeries, nData, nDataIndex, nYData )     

RMC_SetSeriesStartAngle( nCtrlID, nRegion, nSeries, nStartAngle )     

RMC_SetSeriesDataAxis( nCtrlId, nRegion, nSeries, nWhichAxis )     
                 
RMC_SetSeriesHatchMode( nCtrlID, nRegion, nSeries, nHatchMode )     
                  
RMC_SetSeriesHide( nCtrlID, nRegion, nSeries, nHide )     
                  
RMC_SetSeriesLinestyle( nCtrlID, nRegion, nSeries, nLinestyle )     
                  
RMC_SetSeriesLucent( nCtrlID, nRegion, nSeries, nLucent )     

RMC_SetSeriesPPColumn( nCtrlID, nRegion, nSeries, nPointsPerColumn )     
                 
RMC_SetSeriesPPColumnArray( nCtrlID, nRegion, nSeries, @nFirstPPCValue, ;
                            nPPCValuesCount )     

RMC_SetSeriesVertical( nCtrlID, nRegion, nSeries, nVertical )     
                  
RMC_SetSeriesStyle( nCtrlID, nRegion, nSeries, nStyle )     

RMC_SetSeriesSymbol( nCtrlID, nRegion, nSeries, nSymbol )     

RMC_SetSeriesValuelabel( nCtrlID, nRegion, nSeries, nValuelabel )     

RMC_SetSeriesXAxis( nCtrlId, nRegion, nSeries, nWhichXAxis )     
                     
RMC_SetSeriesYAxis( nCtrlId, nRegion, nSeries, nWhichYAxis )     

RMC_SetSingleBarColors ( nCtrlID, nRegion, @nColor , nColorCount )     

RMC_SetToolTipWidth( nCtrlID, nWidth )     

RMC_SetWatermark( sWaterMark, nWMColor, nWMLucentValue, nAlignment, ;
                  nFontSize )     

RMC_SetXAXAlignment( nCtrlID, nRegion, nAlignment, nAxisIndex )     

RMC_SetYAXAlignment( nCtrlID, nRegion, nAlignment, nAxisIndex )     

RMC_SetXAXDecimalDigits( nCtrlID, nRegion, nDecimalDigits, nAxisIndex )     
                  
RMC_SetYAXDecimalDigits( nCtrlID, nRegion, nDecimalDigits, nAxisIndex )     
                  
RMC_SetXAXFontSize( nCtrlID, nRegion, nFontSize, nAxisIndex )    
                  
RMC_SetYAXFontSize( nCtrlID, nRegion, nFontSize, nAxisIndex )     

RMC_SetXAXLabels( nCtrlID, nRegion, sLabels, nAxisIndex )     

RMC_SetYAXLabels( nCtrlID, nRegion, sLabels, nAxisIndex )     
                  
RMC_SetXAXLabelAlignment( nCtrlID, nRegion, nLabelAlignment, nAxisIndex )     

RMC_SetYAXLabelAlignment( nCtrlID, nRegion, nLabelAlignment, nAxisIndex )     

RMC_SetXAXLineColor( nCtrlID, nRegion, nColor, nAxisIndex )     
                  
RMC_SetYAXLineColor( nCtrlID, nRegion, nColor, nAxisIndex )     
                 
RMC_SetXAXLineStyle( nCtrlID, nRegion, nStyle, nAxisIndex )     

RMC_SetYAXLineStyle( nCtrlID, nRegion, nStyle, nAxisIndex )     

RMC_SetXAXMaxValue( nCtrlID, nRegion, nMaxValue, nAxisIndex )     
                  
RMC_SetYAXMaxValue( nCtrlID, nRegion, nMaxValue, nAxisIndex )     

RMC_SetXAXMinValue( nCtrlID, nRegion, nMinValue, nAxisIndex )     
                  
RMC_SetYAXMinValue( nCtrlID, nRegion, nMinValue, nAxisIndex )     

RMC_SetXAXText( nCtrlID, nRegion, sText, nAxisIndex )     

RMC_SetYAXText( nCtrlID, nRegion, sText, nAxisIndex )     

RMC_SetXAXTextColor( nCtrlID, nRegion, nColor, nAxisIndex )     
                  
RMC_SetYAXTextColor( nCtrlID, nRegion, nColor, nAxisIndex )     

RMC_SetXAXTickcount( nCtrlID, nRegion, nTickCount, nAxisIndex )     
                
RMC_SetYAXTickcount( nCtrlID, nRegion, nTickCount, nAxisIndex )     
                  
RMC_SetXAXUnit( nCtrlID, nRegion, sUnit, nAxisIndex )     

RMC_SetYAXUnit( nCtrlID, nRegion, sUnit, nAxisIndex )     

RMC_ShowToolTips( nCtrlID, nX, nY )     
*/

// These 3 functions need work - how to handle the arrays properly...
/*
RMC_Split( sData AS STRING, asData[]  )     

RMC_Split2Double( sData AS STRING, aData[] )     
                 
RMC_Split2Long( sData AS STRING, aData[] )     
*/

RMC_WriteRMCFile( nCtrlID, @sFileName )     

RMC_Zoom( nCtrlID, nMode, nColor, nLineColor, nTransparency )     
